Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 585224 - print is broken
print is broken
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-matplotlib (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 09:26 EDT by Neal Becker
Modified: 2010-12-03 10:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:32:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2010-04-23 09:26:21 EDT
Description of problem:

Something broke print.  Using plot(); show(); a window appears.  But
any attempt to use the print button (rightmost button) on the gui is broken.  A dialog starts to appear, but only partially draws.  I see this in the console:

kfilemodule(29192): couldn't create slave: "Unable to create io-slave:
klauncher said: Unknown protocol ''.
" 
kfilemodule(29192): couldn't create slave: "Unable to create io-slave:
klauncher said: Unknown protocol ''.

python-matplotlib-0.99.1.2-1.fc12.x86_64
numpy-1.3.0-7.fc12.x86_64
PyQt4-4.7.3-1.fc12.x86_64

This was a working setup, something broke it.  I just tried updating to the testing version of PyQt4, but that didn't help.

Version-Release number of selected component (if applicable):


How reproducible:

100%

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jef Spaleta 2010-07-08 15:03:19 EDT
Considering the upstream discussion I've seen you been having, obviously you meant the save dialog... and you mean the qt4agg backend.

Now that's interesting considering matplotlib hasn't seen an update on F12 since feb.  I really think this is a KDE problem of some sort.  I don't use the qt backend at all on matplotlib so I've no idea what's wrong.  


Point of fact, I make exactly _zero_ effort in the packaging to ensure that anything by the gtkagg backend is working.  All the other backends are provided under the assumption that you know what you are doing when configuring to use a non-default backend and have prepped the system accordingly. We should really find a way to subpackage the backends more properly. 

That being said. I can't reproduce this on F13 under Gnome using the Qt4Agg or the GtkAgg backend.

I would suggest that you login to a Gnome desktop (under a test user) using the exact same matplotlib configuration and see if you can reproduce the problem.

-jef
Comment 2 Bug Zapper 2010-11-03 12:29:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 10:32:36 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.